package cn.com.qmth.examcloud.service.core.api;

import io.swagger.annotations.ApiOperation;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.common.config.AppConfig;

/**
 * 应用服务API Created by ting.yin on 17/3/9.
 */
@RestController
@RequestMapping("${app.api.root}/app")
public class AppApi {

	@ApiOperation(value = "查询所有应用")
	@GetMapping
	public ResponseEntity getAllApp() {
		return new ResponseEntity(AppConfig.findAll(), HttpStatus.OK);
	}
}
