package cn.com.qmth.examcloud.service.core.repo;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.service.core.entity.UserLogin;

/**
 * Created by songyue on 17/2/22.
 */
public interface UserLoginRepo extends JpaRepository<UserLogin,Long>,QueryByExampleExecutor<UserLogin> {

    UserLogin findFirstByUserId(Long userId);

    @Transactional
    void deleteByUserId(Long userId);
}
