package cn.com.qmth.examcloud.service.core.repo;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;

import cn.com.qmth.examcloud.service.core.entity.RolePermissionRelation;

public interface RolePermissionRelationRepo  extends JpaRepository<RolePermissionRelation,Integer>{

	
	public List<RolePermissionRelation> findByRoleCodeAndSystemNameAndPermissionType(String roleCode,String systemName,String permissionType);
	
	
	void deleteByRoleCodeAndSystemNameAndPermissionType(String roleCode,String systemName,String PermissionType);
	
	//by weiwenhai 根据权限id查询权限角色
	public List<RolePermissionRelation> findByPermissionId(Integer id);
}
