package cn.com.qmth.examcloud.service.core.repo.memory;

import cn.com.qmth.examcloud.service.core.entity.Org;
import cn.com.qmth.examcloud.service.core.repo.BaseMemRepository;
import org.springframework.stereotype.Repository;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * Created by songyue on 18/1/22.
 */
@Repository
public class OrgMemRepo implements BaseMemRepository<Org,Long>{

    private static final Map<Long,Org> orgMap = new ConcurrentHashMap<>(256);

    @Override
    public void set(Long id, Org entity) {
        orgMap.put(id,entity);
    }

    @Override
    public Org get(Long id) {
        return orgMap.get(id);
    }

    @Override
    public void remove(Long id) {
        orgMap.remove(id);
    }
}
